tzselect(8)

NOME
tzselect - seleciona um fuso horário

SINOPSE
tzselect [ -c coord ] [ -n limite ] [ --help ] [ --version ]

DESCRIÇÃO
O programa tzselect pergunta ao usuário informações sobre a sua localização atual, e emite o fuso horário resultante para a saída padrão. A saída é adequada como um valor para a variável de ambiente TZ.

Toda interação com o usuário é feita via a entrada e o erro padrão.

OPÇÕES

-c coord
    Instead of asking for continent and then country and then city, ask for selection from time zones whose largest cities are closest to the location with geographical coordinates coord. Use ISO 6709 notation for coord, that is, a latitude immediately followed by a longitude. The latitude and longitude should be signed integers followed by an optional decimal point and fraction: positive numbers represent north and east, negative south and west. Latitudes with two and longitudes with three integer digits are treated as degrees; latitudes with four or six and longitudes with five or seven integer digits are treated as DDMM, DDDMM, DDMMSS, or DDDMMSS representing DD or DDD degrees, MM minutes, and zero or SS seconds, with any trailing fractions represent fractional minutes or (if SS is present) seconds. The decimal point is that of the current locale. For example, in the (default) C locale, -c +40.689-074.045 specifies 40.689degreesN, 74.045degreesW, -c +4041.4-07402.7 specifies 40degrees41.4minutesN, 74degrees2.7minutesW, and -c +404121-0740240 specifies 40degrees41minutes21secondsN, 74degrees2minutes40secondsW. If coord is not one of the documented forms, the resulting behavior is unspecified.

-n limite
    Quando -c é usado, exibe as limite localizações mais próximos (padrão 10).

--help
    Informa informações de ajuda e sai do programa.

--version
    Exibe informação da versão e sai.

VARIÁVEIS DE AMBIENTE

AWK Name of a POSIX-compliant awk program (default: awk).

TZDIR
    Nome do diretório que contém os arquivos dos fusos horários (padrão: /usr/share/zoneinfo).

ARQUIVOS

TZDIR/iso3166.tab
    Tabela ISO 3316 contendo código do país de 2 letras e nome do país.

TZDIR/zone1970.tab
    Tabela contendo código do país, latitude e longitude, fuso horário e comentários descritivos.

TZDIR/TZ
    Arquivo de dados dos fusos horários para os fusos horários TZ.

STATUS DE SAÍDA
O status de saída é zero se o fuso horário foi obtido com sucesso pelo usuário, de outra forma a saída vai ser diferente de zero.

VEJA TAMBÉM
newctime(3), tzfile(5), zdump(8), zic(8)

NOTAS
Os aplicativos não devem presumir que a saída de tzselect corresponde às preferências políticas do usuário.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Leslie Harlley Watter <leslie@watter.org> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).